Package org.apache.calcite.avatica

# Class MetaImpl.MetaColumn

java.lang.Object
org.apache.calcite.avatica.MetaImpl.MetaColumn

All Implemented Interfaces:
  `MetaImpl.Named`

Enclosing class:
  MetaImpl

public static class MetaImpl.MetaColumn extends Object implements MetaImpl.Named
Metadata describing a column.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Integer`
`bufferLength`
`final Integer`
`charOctetLength`
`final String`
`columnDef`
`final String`
`columnName`
`final Integer`
`columnSize`
`final int`
`dataType`
`final Integer`
`decimalDigits`
`final String`
`isAutoincrement`
`final String`
`isGeneratedcolumn`
`final String`
`isNullable`
`final int`
`nullable`
`final Integer`
`numPrecRadix`
`final int`
`ordinalPosition`
`final String`
`remarks`
`final String`
`scopeCatalog`
`final String`
`scopeSchema`
`final String`
`scopeTable`
`final Short`
`sourceDataType`
`final Integer`
`sqlDataType`
`final Integer`
`sqlDatetimeSub`
`final String`
`tableCat`
`final String`
`tableName`
`final String`
`tableSchem`
`final String`
`typeName`

## Constructor Summary

Constructors
Constructor
Description
`MetaColumn(String tableCat, String tableSchem, String tableName, String columnName, int dataType, String typeName, Integer columnSize, Integer decimalDigits, Integer numPrecRadix, int nullable, Integer charOctetLength, int ordinalPosition, String isNullable)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tableCat

public final String tableCat

### tableSchem

public final String tableSchem

### tableName

public final String tableName

### columnName

public final String columnName

### dataType

public final int dataType

### typeName

public final String typeName

### columnSize

public final Integer columnSize

### bufferLength

public final Integer bufferLength

### decimalDigits

public final Integer decimalDigits

### numPrecRadix

public final Integer numPrecRadix

### nullable

public final int nullable

### remarks

public final String remarks

### columnDef

public final String columnDef

### sqlDataType

public final Integer sqlDataType

### sqlDatetimeSub

public final Integer sqlDatetimeSub

### charOctetLength

public final Integer charOctetLength

### ordinalPosition

public final int ordinalPosition

### isNullable

public final String isNullable

### scopeCatalog

public final String scopeCatalog

### scopeSchema

public final String scopeSchema

### scopeTable

public final String scopeTable

### sourceDataType

public final Short sourceDataType

### isAutoincrement

public final String isAutoincrement

See Also:
  - Constant Field Values

### isGeneratedcolumn

public final String isGeneratedcolumn

See Also:
  - Constant Field Values

## Constructor Details

### MetaColumn

public MetaColumn(String tableCat, String tableSchem, String tableName, String columnName, int dataType, String typeName, Integer columnSize, Integer decimalDigits, Integer numPrecRadix, int nullable, Integer charOctetLength, int ordinalPosition, String isNullable)

## Method Details

### getName

public String getName()

Specified by:
  `getName` in interface `MetaImpl.Named`